Subject: Re: 64 bit memory access - again ...

From: Dan Malek <[email-masked]>
Date: Wed, 05 Dec 2001 12:16:41 -0500

Shie Erlich wrote:

> the FPU solution does work, however (and thanks for the pointers) - but if
> my
> function saves the fpu registers and restores them, do i really need to
> force
> the kernel to context switch the fpu ?

You have to be careful that moving the bits in/out of the FP register
doesn't have other side effects in FP status or condition codes.  Always
saving/restoring the context will guarantee the application doesn't see
these side effects, but you can experiment if you wish.

Good Luck.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/